## pathos 0.3.4

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pathos
SOURCEDIR     = source
BUILDDIR      = build

# Internal variables
ALLSPHINXOPTS = $(SPHINXOPTS) $(SOURCEDIR)

# Put it first so that "make" without argument is like "make help".
help:
	@echo "Please use \`make html' to generate standalone HTML files"

.PHONY: help clean html Makefile

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)
	-rm -f $(BUILDDIR)/../../scripts/_*py
	-rm -f $(BUILDDIR)/../../scripts/_*pyc
	-rm -rf $(BUILDDIR)/../../scripts/__pycache__

=== docs/requirements.txt ===
# Packages required to build docs
# dependencies pinned as:
# https://github.com/readthedocs/readthedocs.org/blob/543f389ddd184ff91dac6a7b808dd21697292fd5/requirements/docs.txt

alabaster==1.0.0
anyio==4.8.0
babel==2.17.0
certifi==2025.1.31
charset-normalizer==3.4.1
click==8.1.8
colorama==0.4.6
docutils==0.21.2
exceptiongroup==1.2.2
h11==0.14.0
idna==3.10
imagesize==1.4.1
jinja2==3.1.5
markdown-it-py==3.0.0
markupsafe==3.0.2
mdit-py-plugins==0.4.2
mdurl==0.1.2
myst-parser==4.0.0
packaging==24.2
pygments==2.19.1
pyyaml==6.0.2
requests==2.32.3
six==1.17.0
sniffio==1.3.1
snowballstemmer==2.2.0
sphinx==8.1.3
sphinx-autobuild==2024.10.3
sphinx-copybutton==0.5.2
sphinx-design==0.6.1
sphinx-intl==2.3.1
sphinx-multiproject==1.0.0
sphinx-notfound-page==1.1.0
sphinx-prompt==1.9.0
sphinx-rtd-theme==3.0.2
sphinx-tabs==3.4.7
sphinxcontrib-applehelp==2.0.0
sphinxcontrib-devhelp==2.0.0
sphinxcontrib-htmlhelp==2.1.0
sphinxcontrib-httpdomain==1.8.1
sphinxcontrib-jquery==4.1
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==2.0.0
sphinxcontrib-serializinghtml==2.0.0
sphinxext-opengraph==0.9.1
starlette==0.45.3
tomli==2.2.1
typing-extensions==4.12.2
urllib3==2.3.0
uvicorn==0.34.0
watchfiles==1.0.4
websockets==14.2

## pathos 0.3.2

=== debian/changelog ===
pathos (0.3.2-2) unstable; urgency=medium

  * Team upload.

  [ James Addison ]
  * Enable Sphinx autodoc preservation of method-argument defaults.
    This avoids build host information such as CPU core count from
    inadvertently leaking into the packaged documentation.
    Closes: #1066014

  [ Mattia Rizzolo ]
  * Mark python-pathos-doc as M-A:foreign.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 31 Jul 2024 17:29:54 +0900

pathos (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump package version requirements.
  * debian/control: Add missing Built-Using field for sphinx
    documentation.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Jan 2024 22:08:23 -0500

pathos (0.3.1-1) unstable; urgency=medium

  * Initial upload (Closes: #1042443)

 -- Julian Gilbey <jdg@debian.org>  Fri, 28 Jul 2023 18:45:10 +0100

=== debian/control ===
Source: pathos
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dill (>= 0.3.8),
               python3-multiprocess (>= 0.70.16),
               python3-pox (>= 0.3.4),
               python3-ppft (>= 1.7.6.8),
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-notfound-page <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.7.0
Homepage: https://github.com/uqfoundation/pathos
Vcs-Git: https://salsa.debian.org/python-team/packages/pathos.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pathos
Rules-Requires-Root: no
Description: Framework for heterogeneous parallel computing
 Pathos provides a consistent high-level interface for configuring and
 launching parallel computations across heterogeneous resources.  It
 provides configurable launchers for parallel and distributed
 computing, where each launcher contains the syntactic logic to
 configure and launch jobs in an execution environment.  Examples of
 launchers include: "pyina", a queue-less MPI-based launcher;
 "pathos", an ssh-based launcher; "multiprocess", a multi-process
 launcher.
 .
 It provides a consistent interface for parallel and/or distributed
 versions of "map" and "apply" for each launcher; the guiding design
 principle is that "map" and "apply" should be drop-in replacements in
 otherwise serial code, reducing the time to conver a code to
 parallel, but also enabling a single code-base to be maintained
 instead of requiring serial, parallel and distributed versions of
 code.
 .
 The "pathos" framework consists of several interoperating packages:
  * "dill": serialize all of Python (python3-dill)
  * "pox": utilities for filesystem exploration and automated builds
    (python3-pox)
  * "klepto": persistent caching to memory, disk, or database
    (python3-klepto)
  * "multiprocess": better multiprocessing and multithreading in Python
    (python3-multiprocess)
  * "ppft": distributed and parallel Python (python3-ppft)
  * "pyina": MPI parallel "map" and cluster scheduling (python3-pyina)
  * "pathos": graph management and execution in heterogeneous computing
    (python3-pathos)

Package: python3-pathos
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-pathos-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-pathos
Built-Using: ${sphinxdoc:Built-Using}
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the pathos documentation in HTML format.
Build-Profiles: <!nodoc>

## pathos 0.3.3

=== debian/changelog ===
pathos (0.3.3-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090113).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Dec 2024 12:10:40 +0000

pathos (0.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump build-dep version requirements.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 07:25:25 -0500

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.8),
+               python3-dill (>= 0.3.9),
                python3-multiprocess (>= 0.70.16),
-               python3-pox (>= 0.3.4),
-               python3-ppft (>= 1.7.6.8),
+               python3-pox (>= 0.3.5),
+               python3-ppft (>= 1.7.6.9),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pathos

export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m pathos.tests

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_installdocs:
	perl -i -pe 's%/usr/bin/env python%/usr/bin/python3%' debian/python3-pathos/usr/share/doc/python3-pathos/examples*/*.py

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs SPHINXBUILD=sphinx-build html

execute_after_dh_auto_clean:
	$(MAKE) -C docs SPHINXBUILD=sphinx-build clean

override_dh_installdocs:
	dh_installdocs -ppython-pathos-doc --doc-main-package=python3-pathos
	dh_installdocs --remaining-packages
	mv debian/python-pathos-doc/usr/share/doc/python3-pathos/build debian/python-pathos-doc/usr/share/doc/python3-pathos/html
endif

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-pathos

## pathos 0.3.4

=== debian/changelog ===
pathos (0.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2025 16:00:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.9),
-               python3-multiprocess (>= 0.70.16),
-               python3-pox (>= 0.3.5),
-               python3-ppft (>= 1.7.6.9),
+               python3-dill (>= 0.4.0),
+               python3-multiprocess (>= 0.70.17),
+               python3-pox (>= 0.3.6),
+               python3-ppft (>= 1.7.7),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/uqfoundation/pathos/tags?per_page=100 \
 https://api.github.com/repos/uqfoundation/pathos/tarball/refs/tags/@ANY_VERSION@
